mixin footer(spec)
  - spec = spec || {}
  - spec.__class = spec.__class || ''

  footer.footer(id=spec.id class=spec.__class)&attributes(attributes)
    h2.footer__title support
    .footer__help need help?
    a(href="mailto:support@fluffywarsapp.com").footer__email Support@fluffywarsapp.com